<div class="pre-payments">
  <layout-page-header
    [title]="'LOAN_MANAGER.PRE_PAYMENTS.TITLE' | translate"
    [description]="'LOAN_MANAGER.PRE_PAYMENTS.DESCRIPTION' | translate"
    [total]="(prePaymentsTable$ | async)?.count "
    [tooltipMessage]="'LOAN_MANAGER.PRE_PAYMENTS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <pre-payments-filters></pre-payments-filters>
    <div class="pre-payments__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="prePaymentsTable$ | async"
        [isLoading]="isLoadingPrePayments$ | async"
        (changeTableFilters)="onChangePageFilter($event)"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #statusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>
